Encore un problème pour installer le pilote nVidia . désolé


#1

Bonjours à tous…

Je suis désolé de vous redéranger, mais j’ai beau tenter… je n’arrive pas à installer ce fichu pilote… ça fais deja un mois que je suis dessus… je suis vraiment désolé de vous embeter avec ça…

J’ai recompiler mon kernel avec le 2.6.9 et tout et quand je tente de l’installer il me dit:

voila, j’ai beau relire tout ça… je comprend pas plus… je suis pas doué du tout dans cette environement tout nouveau pour moi…


#2

Bonjour,

j’ai eut le même problème. Pour le résoudre j’ai installé les headers et pouf pouf ça a marcher.
Donc première chose à faire :
aptitude search kernel-headers-2.6-9
aptitude install kernel-headers-2.6.9

Et normallement après ça passe.


#3

[quote=“Dene”]Bonjour,

j’ai eut le même problème. Pour le résoudre j’ai installé les headers et pouf pouf ça a marcher.
Donc première chose à faire :
aptitude search kernel-headers-2.6-9
aptitude install kernel-headers-2.6.9

Et normallement après ça passe.[/quote]

idem pour moi, il m’a fallut installer les headers…


#4

Est ce que tu as installé le module en utilisant make-kpkg ?
Parceque la methode officielle du site nvidia n’est pas supportée sous debian.


#5

[quote=“MattOTop”]Est ce que tu as installé le module en utilisant make-kpkg ?
Parceque la methode officielle du site nvidia n’est pas supportée sous debian.[/quote]
qu est ce que tu entend par methode officielle??
utiliser le package .run ??


#6

bon j’ai réinstallé ma debian à cause d’un petit pb…
donc je réinstalle mon kernel 2.6.9 et son headers et c bon?


#7

[quote=“yaksha”]bon j’ai réinstallé ma debian à cause d’un petit pb…
donc je réinstalle mon kernel 2.6.9 et son headers et c bon?[/quote]
il te faut les source du noyau je pense aussi


#8

bon j’ai installer les source j’ai installer le headers, j’ai compiler le noyau, mais quand je fais uname -r pour vérifier ma version j’ai toujours l’encienne… comment je peu faire pour installer la 2.6.9 ?


#9

si tu as grub:
update-grub

si tu as lilo:
heu … lilo (je crois …)


#10

ok, je l’ai fais, mais j’ai toujours 2.6.8-1-386 alors que j’ai installer la 2.6.9…


#11

tu as changé le lien /vmlinuz ??
il faut le faire pointer sur le nouveau noyau : du genre /boot/vmlinuz-2.6.9-xxx

voila


#12

heu… dans /boot j’ai que les anciens 2.6.8, les autres sources sont dans /usr/src

je crée un lien dans /boot qui pointe vers /usr/src/linux-2.6.9 ?

je sais pas comment modifier le fichier vmlinuz-2.6.8-1-386…


#13

:question: :question: :question:

Euh… Tu l’a installé ton nouveau kernel compilé, au moins ?

dpkg -i ton_nouveau_kernel.deb

Ton gestionnaire de boot ne dois en aucun cas pointer dans /usr/src/ton_kernel
Mais dans:
/boot/vmlinuz-ton_nouveau_kernel…


#14

ah?
heu…
j’ai télécharger mon nouveau kernel, je l’ai décompressé je l’ai compilé… mais comment je fais pour le retransformer en .deb ???
je commence à comprendre comment l’installer…

Edit moi : AH ! j’ai compris ce que j’avais cru comprendre était faux. quand je disais compilé, en fait je configurais mon kernel… je ne le compilais nullement… d’après mes dernières recherches il faut que j’utilise kpkg … je tente encore de comprendre comment l’utiliser …


#15

Une bonne intro:
http://newbiedoc.sourceforge.net/system/kernel-pkg.html


#16

oki mais à la fin je n’ai que :

[quote]make[4]: *** [drivers/char/drm/gamma_drv.o] Erreur 1
make[3]: *** [drivers/char/drm] Erreur 2
make[2]: *** [drivers/char] Erreur 2
make[1]: *** [drivers] Erreur 2
make[1]: Leaving directory `/usr/src/linux-2.6.9’
make: *** [stamp-build] Erreur 2
[/quote]